#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from pathlib import Path


def _get_chunk_file(chunk_file_tmpl: Path, ct: int):
    return chunk_file_tmpl.parent.joinpath(f'{chunk_file_tmpl.name}.{ct}')


def _get_remote_socket(target: Path):
    return target.parent.joinpath(f'{target}.SOCKET')


def _get_chunk_tmpl(subvol: Path):
    return subvol.parent.joinpath(f'{subvol.name}.CHUNK')
